Follow

Can I use Coinfloor Exchange UK on all browsers?

Coinfloor is supported by the following browsers:

Firefox v.28 or higher

Chrome v.33 or higher

Safari v.7 or higher

Opera v.22 or higher

Android browser *

Blackberry browser v.7+

OS Safari v.6.0+

* - Does not fully support Web Sockets.

We strongly advise to always update your software to avoid any display and functionality problems.

Have more questions? Submit a request